### php.java.faces

# Class PhpFacesScriptContext

- `java.lang.Object`

- `javax.script.SimpleScriptContext`

- `php.java.script.PhpSimpleHttpScriptContext`

- `php.java.faces.PhpFacesScriptContext`

Implemented Interfaces:
  Invocable, IPhpScriptContext, ScriptContext

`public class PhpFacesScriptContext`
`extends PhpSimpleHttpScriptContext`

A custom ScriptContext, keeps a ContextFactory and a HttpProxy.

Author:
  jostb

## Field Summary

### Fields inherited from class php.java.script.PhpSimpleHttpScriptContext

`APPLICATION_SCOPE`, `REQUEST_SCOPE`, `SESSION_SCOPE`

### Fields inherited from interface javax.script.ScriptContext

`ENGINE_SCOPE`, `GLOBAL_SCOPE`

## Method Summary

`boolean`

`call(PhpProcedureProxy kont)`

`ContextFactory`

`getContextManager()`

`java.util.Map`

`getEnvironment()`

`void`

`initialize(javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, PhpScriptWriter writer)`
  Initilaize the context.

`void`

`setContinuation(HttpProxy kont)`

### Methods inherited from class php.java.script.PhpSimpleHttpScriptContext

`getAttribute`, `getAttribute`, `getContext`, `getRequest`, `getResponse`, `getWriter`, `initialize`, `setAttribute`

### Methods inherited from class javax.script.SimpleScriptContext

`getAttribute`, `getAttribute`, `getAttributesScope`, `getBindings`, `getWriter`, `removeAttribute`, `setAttribute`, `setBindings`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### call

    public boolean call(PhpProcedureProxy kont)
                throws java.lang.Exception

> Specified by:
>   call in interface Invocable

### getContextManager

    public ContextFactory getContextManager()

> Specified by:
>   getContextManager in interface IPhpScriptContext

### getEnvironment

    public java.util.Map getEnvironment()

> Specified by:
>   getEnvironment in interface IPhpScriptContext

### initialize

    public void initialize(javax.servlet.ServletContext kontext,
                           javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse res,
                           PhpScriptWriter writer)
                throws javax.servlet.ServletException

> Initilaize the context.
> Overrides:
>   initialize in interface PhpSimpleHttpScriptContext

> Parameters:
>   `req` - The HttpServletRequest
>   `res` - The HttpServletResponse
>   `writer` - The PhpScriptWriter

> Throws:
>   `javax.servlet.ServletException` -

### setContinuation

    public void setContinuation(HttpProxy kont)

> Specified by:
>   setContinuation in interface IPhpScriptContext